# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "poppy-sql"
version = "0.9.1"
authors = ["Charlie Eeles <charlie@starflower.sh>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parser and formatter for standalone and embedded SQL"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/Charlie-Eeles/poppy-sql"

[lib]
name = "poppy_sql"
path = "src/lib.rs"

[[bin]]
name = "poppy-sql"
path = "src/main.rs"

[dependencies.anstream]
version = "1.0.0"
optional = true

[dependencies.anstyle]
version = "1.0.13"
optional = true

[dependencies.clap]
version = "4.5.59"
features = ["derive"]

[dependencies.colored]
version = "3.1.1"

[dependencies.dotenv]
version = "0.15.0"

[dependencies.notify]
version = "8.2.0"

[dependencies.okhsl]
version = "1.0.1"
optional = true

[dependencies.pg_query]
version = "6.1.1"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.sqlparser]
version = "0.62.0"

[dependencies.sqlx]
version = "0.8.6"
features = [
    "runtime-tokio",
    "postgres",
]

[dependencies.tokio]
version = "1.52.3"
features = ["full"]

[dependencies.toml]
version = "1.1.2"

[dependencies.unicode_categories]
version = "0.1.1"

[dependencies.walkdir]
version = "2.5.0"

[dependencies.winnow]
version = "0.7.0"
features = ["simd"]
